<div class="mb-3" {{did-insert this.setup}}>
  <label for="InputNewPassword">{{capitalize (t "new password")}} <span class="text-info">*</span></label>
  <Input {{on "keyup" this.updateValidation}} @type="password" @value={{this.newPassword1}} autocomplete="off" class="input-password {{if this.validationMessage "form-control is-invalid" "form-control is-valid"}}" id="InputNewPassword" placeholder={{capitalize (t "enter your new password")}} />
</div>

<div class="mb-3">
  <label for="InputConfirmPassword">{{capitalize (t "confirm new password")}} <span class="text-info">*</span></label>
  <Input {{on "keyup" this.updateValidation}} @type="password" @value={{this.newPassword2}} autocomplete="off" class="input-password-confirm {{if this.validationMessage "form-control is-invalid" "form-control is-valid"}}" id="InputConfirmPassword" placeholder={{capitalize (t "enter again your new password")}} />

  {{#if this.validationMessage}}
    <div class="invalid-feedback">
      {{this.validationMessage}}
    </div>
  {{else}}
    <div class="valid-feedback">
      {{capitalize (t "everything is in order")}}
    </div>
  {{/if}}
</div>
